Subject: Re: Job | Tech Support Remote Screening
From: priyanka <[email-masked]>
To: [email-masked]
Date: Thu, 14 Jan 2021 15:01:22 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

3256 Applicants

View All

priyanka
I am graduate... I have experience in E-commerce companies. Like I have worked with charu overseas (E-commerce company). After that I joined concentrix where I worked for above 2 years in Amazon process. Currently working with Flyhunger as a travel desk

Shortlist

Reject

Current Designation Not Mentioned
Current Company Not Mentioned
Notice Period 15 Days or less
Previous Designation Not Mentioned
Previous Company Not Mentioned

Contact Details
Mobile:

Exp
6 Yrs

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Delhi, Gurgaon
Education
B.A
School of open learning (DU), Delhi
Key Skills
back office executive, background verification, hr generalist activities, hr coordination, recruitment, exit formalities, joining formalities, HR Coordination

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem